//////////////////////////////////////////////////////////////////////////

var video_mode = 7; // 800x600
var video_depth = 32; // 16 bit mode

var game_started = 0; // will be set to 1 when the game is started
var sound_vol = 70; // default sound value at game start; sound_vol is an engine variable
var video_value = 7; // default resolution at game start (800x600)

//////////////////////////////////////////////////////////////////////////

bmap main_pcx = <main.tga>; // main panel
bmap new1_pcx = <start1.tga>;
bmap new2_pcx = <start2.tga>;
bmap sound1_pcx = <sound1.tga>;
bmap sound2_pcx = <sound2.tga>;
bmap quit1_pcx = <exit1.tga>;
bmap quit2_pcx = <exit2.tga>;
bmap maincursor_pcx = <maincurs.pcx>;
bmap smain_pcx = <smain.tga>;

bmap slider_pcx = <slider.tga>;

//////////////////////////////////////////////////////////////////////////

sound mouse_snd = <mousesnd.wav>;

//////////////////////////////////////////////////////////////////////////

string work28_wmb = <work28.wmb>;

/////////////////////////////////////////////////////////////////////////

function game_init();
function mouse_over();
function mainmenu_mouse();
function start_game();
function set_volume();
function quit_game();
function isometric_camera();
/////////////////////////////////////////////////////////////////////////

panel main_pan
{
	bmap = main_pcx;
	layer = 20;
	pos_x = 220; // for now
	pos_y = 200; // for now
	button = 50, 50, new1_pcx, new1_pcx, new2_pcx, start_game, null, mouse_over;
	button = 50, 150, sound1_pcx, sound1_pcx, sound2_pcx, set_volume, null, mouse_over;		
	button = 50, 250, quit1_pcx, quit1_pcx, quit2_pcx, quit_game, null, mouse_over;	
	flags = d3d, overlay, refresh;	
}

panel sound_pan 
{
	bmap = smain_pcx;
	layer = 20;
	pos_x = 0; 
	pos_y = 0;
	hslider = 92, 168, 118, slider_pcx, 0, 100, sound_vol;	
	flags = d3d, overlay, refresh;	
}

function main()
{
	wait (1);
	on_esc = null;
	//level_load (introlevel_wmb);
	wait (2);
	game_init();
	main_pan.visible = on;
	mainmenu_mouse();
	vec_set (camera.pos, nullvector);
}	


function mouse_over()
{
	play_sound (mouse_snd, 70);
}	

function mainmenu_mouse ()
{
	mouse_mode = 2;
	mouse_map = maincursor_pcx;
	while (game_started == 0)
	{
		mouse_pos.x = pointer.x;
		mouse_pos.y = pointer.y;
		wait (1); 		      
	}   
}

function start_game()
{
	main_pan.visible = off;
	game_started = 1;
	mouse_mode = 0;
	level_load (work28_wmb);
	wait (2);
	isometric_camera();
}

function set_volume()
{
	main_pan.visible = off;
	sound_pan.visible = on;
}

function quit_game()
{
	exit;
}

function isometric_camera()
{
	while (player == null) {wait (0);}
	camera.tilt = -0;
	while (1)
	{
		camera.x = player.x - 15 * cos(player.pan);
		camera.y = player.y - 15 * sin(player.pan);
		camera.z = player.z + 4;
		camera.pan = player.pan;
		wait (1);
	}
}


action players_code
{ 

	var speed_plus = 1;
	var movement_speed; 
	var distance_to_ground;
	player = my;
	while (1)
	{
		if (movement_speed.x > (0 * time * speed_plus) && movement_speed.x < (0.5 * time * speed_plus))
		{
			my.pan += 0.1 * (key_cul - key_cur) * time;
		}
		if (movement_speed.x < (-0 * time * speed_plus) && movement_speed.x > (-0.5 * time * speed_plus))
		{
			my.pan -= 0.1 * (key_cul - key_cur) * time;
		}
		
		if (movement_speed.x > (0.5 * time * speed_plus) && movement_speed.x < (1 * time * speed_plus))
		{
			my.pan += 1.4 * (key_cul - key_cur) * time;
		}
		if (movement_speed.x < (-0.5 * time * speed_plus) && movement_speed.x > (-1 * time * speed_plus))
		{
			my.pan -= 1.4 * (key_cul - key_cur) * time;
		}
		
		if (movement_speed.x > (1 * time * speed_plus) && movement_speed.x < (2 * time * speed_plus))
		{
			my.pan += 4 * (key_cul - key_cur) * time;
		} 
		if (movement_speed.x < (-1 * time * speed_plus) && movement_speed.x > (-2 * time * speed_plus))
		{
			my.pan -= 4 * (key_cul - key_cur) * time;
		}
		
		if (movement_speed.x > (2 * time * speed_plus) && movement_speed.x < (4 * time * speed_plus))
		{
			my.pan += 5 * (key_cul - key_cur) * time;
		}
		if (movement_speed.x < (-2 * time * speed_plus) && movement_speed.x > (-4 * time * speed_plus))
		{
			my.pan -= 5 * (key_cul - key_cur) * time;
		}
		
		
		if (movement_speed.x > (4 * time * speed_plus) && movement_speed.x < (6 * time * speed_plus))
		{
			my.pan += 5 * (key_cul - key_cur) * time;
		}
		if (movement_speed.x < (-4 * time * speed_plus) && movement_speed.x > (-6 * time * speed_plus))
		{
			my.pan -= 5 * (key_cul - key_cur) * time;
		}
		
		if (movement_speed.x > (6 * time * speed_plus) && movement_speed.x < (8 * time * speed_plus))
		{
			my.pan += 4 * (key_cul - key_cur) * time;
		} 
		if (movement_speed.x < (-6 * time * speed_plus) && movement_speed.x > (-8 * time * speed_plus))
		{
			my.pan -= 4 * (key_cul - key_cur) * time;
		}
		
		if (movement_speed.x > (8 * time * speed_plus))
		{
			my.pan += 3.8 * (key_cul - key_cur) * time;
		}
		if (movement_speed.x < (-8 * time * speed_plus))
		{
			my.pan -= 3.8 * (key_cul - key_cur) * time;
		}
		
		
		vec_set (temp.x, my.x);
		temp.z =1000;
		distance_to_ground = c_trace (my.x, temp.x, ignore_me | use_box);
		if(movement_speed.x <10 * time * speed_plus)
		{	
			if(movement_speed.x <9.9 * time * speed_plus)
			{
				movement_speed.x += 0.03* time * key_cuu * speed_plus;
			}
			else 
			{
				movement_speed.x = 9.8* time * speed_plus;
			}
			if (movement_speed.x > 0) && (key_cuu==off)
			{
				movement_speed.x -= 0.02 * time;
				movement_speed.x -= 0.05* time * key_space;
			}
		}
		if(movement_speed.x >-3.0 * time * speed_plus)
		{	
			if(movement_speed.x >-2.9 * time * speed_plus)
			{
				movement_speed.x -= 0.03* time * key_cud * speed_plus;
			}
			else 
			{
				movement_speed.x = -2.8* time * speed_plus;
			}
			if (movement_speed.x < 0) && (key_cud==off)
			{
				movement_speed.x += 0.02 * time;
				movement_speed.x += 0.05* time * key_space;
			}
		}

		movement_speed.y = 0;
		movement_speed.z = - (distance_to_ground - 5);
		movement_speed.z = max (-10 * time, movement_speed.z);
		c_move (my, movement_speed.x, nullvector,glide);
		wait (1);
	}
}

function game_init()
{
	while (1)
	{
		
		main_pan.pos_x = (screen_size.x - bmap_width(main_pcx)) / 2;
		main_pan.pos_y = (screen_size.y - bmap_height(main_pcx)) / 2;
		sound_pan.pos_x = (screen_size.x - bmap_width(smain_pcx)) / 2;
		sound_pan.pos_y = (screen_size.y - bmap_height(smain_pcx)) / 2;
		if (key_esc == 1)
		{
			while (key_esc == 1) {wait (1);}
			if (main_pan.visible == on) 
			{
				main_pan.visible = off;
				mouse_mode = 0;
			}
			else 
			{
				if (sound_pan.visible == off)
				{
					main_pan.visible = on;
					game_started = 0;	
					mainmenu_mouse();
				}
			}
			if (sound_pan.visible == on)
			{
				sound_pan.visible = off;
				main_pan.visible = on;	
			}
			
		}
		wait (1);
	}			
}

